TypeErrors in pollyfills.js : Cannot read property 'latest' of undefined


(Martin R Smith) #1

I’m running npm i whilst trying to install Zotero’s Translation Server.

This throws errors:

npm http 405 https://registry.npmjs.org/sinonjs/commons
npm ERR! TypeError: Cannot read property 'latest' of undefined
npm ERR!     at next (/usr/share/npm/lib/cache.js:687:35)
npm ERR!     at /usr/share/npm/lib/cache.js:675:5
npm ERR!     at saved (/usr/share/npm/node_modules/npm-registry-client/lib/get.js:142:7)
npm ERR!     at /usr/lib/nodejs/graceful-fs/polyfills.js:133:7
npm ERR!     at Object.oncomplete (fs.js:107:15)

An equivalent error occurs when trying to install
https://registry.npmjs.org/sinonjs/samsam.

I’m directed to report the log at http://github.com/isaacs/npm/issues, which I assume is the precursor to this site?

When npm i completes, typing npm start gives an error “cannot find module ‘process’”, then fails with weird error 8.


(system) #2

This topic was automatically closed 3 days after the last reply. New replies are no longer allowed.